Subject: Re: Async DMA question regarding dma_async_memcpy_buf_to_buf

From: Scott Wood <[email-masked]>
Date: Mon, 24 Nov 2008 14:16:22 -0600

[email-masked] wrote:
> Yes, I understand the directions and what they apply to, that's obvious 
> from the macros themselves.  What I don't understand is if it's safe, from 
> a kernel/cache standpoint, to pass to the function a src pointer coming 
> _from_ the device and a dest pointer that's going _to_ the device?  In 
> other words, can I use this function to _write_ to a DMA slave?  If not, 
> there's a functionality missing from the async DMA engine.

What exactly do you mean by "the device"?  if it's the DMA engine, then 
that's a meaningless request, by the definition of "source" and 
"destination".  If you mean some other device that happens to be 
providing a buffer for you to DMA into or out of, that's irrelevant to 
the DMA API; it's just memory that happens to live somewhere else (and 
possibly not be cached).

-Scott